Subject: bug#50748: Acknowledgement (28.0.50; tramp-sh.el uses mknod file p which is not available on macos)

From: Damien Merenne <[email-masked]>
Date: Thu, 23 Sep 2021 13:50:22 +0000

Thanks for looking at this so quickly!

No idea about the equivalent mknod command. Using strace on Linux shows
that both `mknod p` and `mkfifo` results in the exact same `mknodat` system
call so `mkfifo` could probably be always used ?

It's still not working, I don't see any error regarding the mkfifo now, I
attached the tramp debug buffer. I tried creating the fifo manually on the
macos laptop and running the command

cd /Users/dam/ &&  exec  2>'/tmp/tramp.EIPAXu' env
INSIDE_EMACS\=28.0.50\,tramp\:2.5.2-pre PS1\=/ssh\:laptop.lan\:/Users/dam/\
\#\$\  sh -c while\ sleep\ 1\;\ do\ echo\ \$\(hostname\)\ out\;\ echo\
\$\(hostname\)\ err\ \>\&2\;\ done

And there, it's working, I can cat the fifo and see the stderr output. No
idea why tramp seems to stall. Running over tramp there is just no output
in the stdout nor the stderr buffer.

Le jeu. 23 sept. 2021 à 06:31, GNU bug Tracking System <[email-masked]>
a écrit :

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  [email-masked]
>
> If you wish to submit further information on this problem, please
> send it to [email-masked].
>
> Please do not send mail to [email-masked] unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 50748: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50748
> GNU Bug Tracking System
> Contact [email-masked] with problems
>